package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreFieldSelectDTO;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreFieldSelectApiService {


    /**
     * 新增
     * @param storeFieldSelectDTO
     * @return 主键ID
     */
    ServiceResponse<Integer> save(StoreFieldSelectDTO storeFieldSelectDTO);

    /**
     * 上下移动
     * @param storeFieldSelectId
     * @param isUp 向上
     * @return
     */
    ServiceResponse<Integer> upOrDown(int storeFieldSelectId, boolean isUp);


    /**
     * 置顶、置底，自定义序号
     * @param storeFieldSelectId
     * @param setValue
     * @return
     */
    ServiceResponse<Integer> setStoreFieldSelectSort(int storeFieldSelectId, int setValue);

    ServiceResponse<Integer> delete(int storeFieldSelectId);

    ServiceResponse<Integer> edit(StoreFieldSelectDTO storeFieldSelectDTO);

    /**
     * 分页查询列表数据
     * @param storeFieldId
     * @param search
     * @param pageNum
     * @param pageSize
     * @return
     */
    ServiceResponse<Page<StoreFieldSelectDTO>> listStoreFieldSelect(int storeFieldId, String search, Integer pageNum, Integer pageSize);


    /**
     * 主键查询记录
     * @param storeFieldSelectId
     * @return
     */
    ServiceResponse<StoreFieldSelectDTO> getStoreFieldSelect(int storeFieldSelectId);

    /**
     * 置底
     * @param storeFieldSelectId
     * @return
     */
    ServiceResponse<Integer> sortBottom(int storeFieldSelectId);

    /**
     * 置顶
     * @param storeFieldSelectId
     * @return
     */
    ServiceResponse<Integer> sortTopping(int storeFieldSelectId);

}
